Subject: Re: [Healeys] Marvel Mystery Oil

From: Jackson Krall <[email-masked]>
Date: Tue, 24 Apr 2012 19:36:51 -0700 (PDT)

No joke (well, maybe), here in NYC, the Puerto Rican car community swears by it.
I have a bottle I'm going to use in an old jeep engine that hasn't been started in years.

Cheers
JK

------------------------------
On Tue, Apr 24, 2012 10:09 PM EDT Steven wrote:

>Hi all,
>
>I've got a 1961 BN7 with 72,000 miles and to my knowledge, it's never had an engine rebuild.  I was thinking of adding some Marvel Mystery Oil to clean out carbon deposits that I'm sure must exist.   Naturally I'm very cautious about what I put in my engine.
>
>Has anyone ever tried this stuff and if so, what were your results?
>
>Thanks in advance,
>Steve 61' BN7
>_______________________________________________
_______________________________________________
Support Team.Net http://www.team.net/donate.html
Suggested annual donation  $12.75
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

Unsubscribe/Manage: http://autox.team.net/mailman/options/healeys/[email-masked]